.products {

  &-header {
    padding-bottom: 35px;
    @include x-display-flex
    @include x-flex-wrap(wrap)
  	justify-content: space-between;
  	-ms-align-items: center;
  	align-items: center;

    .sort-wrap {
      @include x-display-flex
      @include x-flex-wrap(wrap)

      .sort {
        overflow: hidden;
        width: 200px;
        margin: 5px 10px 5px 0;
      }
    }
  }

  .item-wrapper {
    padding-bottom: 50px;
  }

  .pagination {
    margin-right: -6px;
    margin-left: -6px;
    padding-top: 26px;
    @include x-display-flex
    @include x-flex-wrap(wrap);
    -ms-align-items: center;
  	align-items: center;
    justify-content: center;

    &-wrap {
      flex: none;
      max-width: 50%;
    }

    .item-pagination {
      font-family: Montserrat-Regular;
      font-size: 15px;
      color: #808080;
      padding: 10px 20px;
      border-radius: 22px;
      border: 1px solid #eeeeee;
      margin: 6px;
      text-transform: uppercase;
      @include x-transition(all 0.4s);

      &:hover {
        background-color: #222222;
        color: white;
      }
    }

    .active-pagination {
      background-color: #222222;
      color: white;
    }
  }
}

.filter-price {
  padding: 22px 0 50px 0;
  border-top: 1px solid #e1e1e1;

  &-title {
    font-family: Montserrat-Medium;
    font-size: 18px;
    color: #555555;
    line-height: 1.5;
    padding-bottom: 17px;
  }

  &-result {
    padding-top: 16px;
    @include x-display-flex
    @include x-flex-wrap(wrap)
    justify-content: space-between;
    -ms-align-items: center;
    align-items: center;

    .btn-filter {
      width: 72px;

      button {
        height: 30px;
        background-color: #333333;
        border-radius: 15px;
        font-size: 13px;;
      }
    }

    .detail {
      font-family: Montserrat-Regular;
    	font-size: 15px;
    	color: #555555;
    	line-height: 1.5;
      padding: 10px 0 10px 0;
    }
  }
}

.product-detail {
  background-color: white;
  padding: 35px 0 80px 0;

  .detail-wrapper {
    @include x-display-flex
    @include x-flex-wrap(wrap)
  	justify-content: space-between;

    .detail-images {
      width: 53%;
      padding-top: 30px;

      .slide-image {
        img {
          width: 100%;
        }
      }

      @media (max-width: 768px) {
        width: 100%;
      }
    }
  }

  &-description {
    width: calc(47% - 55px);
    padding-top: 30px;

    @media (max-width: 768px) {
      width: 100%;
    }
  }

  &-name {
    ont-family: Montserrat-Regular;
  	font-size: 24px;
  	color: #222222;
  	line-height: 1.5;
    padding-bottom: 13px;
  }

  &-price {
    font-family: Montserrat-Regular;
  	font-size: 30px;
  	color: #555555;
  	line-height: 1.2;
  }

  &-title {
    font-family: Montserrat-Regular;
  	font-size: 13px;
  	color: #888888;
  	line-height: 1.8;
    padding-top: 10px;
  }

  &-options {
    padding: 33px 0 60px 0;

    .detail-title {
      font-family: Montserrat-Regular;
    	font-size: 13px;
    	color: #666666;
    	line-height: 1.8;
      width: 21%;
    }

    .options-detail {
      @include x-display-flex
      @include x-flex-wrap(wrap)
    	-ms-align-items: center;
    	align-items: center;

      &:first-child {
        padding-bottom: 10px;
      }

      &:last-child {
        padding-top: 10px;
      }

      &.cart-detail {
        justify-content: flex-end;
      	-ms-align-items: center;
      	align-items: center;
      }

      .cart-detail-wrapper {
        width: 79%;
        @include x-display-flex;
        @include x-flex-wrap(wrap);
      	-ms-align-items: center;
      	align-items: center;

        .btn-addcart-product {
          width: 162px;
          height: 45px;
          margin: 10px 0 10px 0;
          @include x-transition(all 0.4s);

          button {
            width: 100%;
            height: 100%;
          }
        }

      }
    }
  }

  &-specification {
    padding-bottom: 45px;

    span {
      font-family: Montserrat-Regular;
    	font-size: 13px;
    	color: #888888;
    	line-height: 1.8;

      &:first-child {
        margin-right: 35px;
      }
    }
  }

  .select-wrapper {
    height: 45px;
    overflow: hidden;
    width: 79%;
  }

  .dropdown-content-wrapper {
    border-top: 1px solid #e6e6e6;
  	border-bottom: 1px solid #e6e6e6;
    padding: 15px 0 14px 0;

    .dropdown-content-toggle {
      cursor: pointer;
      font-family: Montserrat-Medium;
    	font-size: 16px;
    	color: #222222;
    	line-height: 1.5;
      @include x-transition(all 0.4s);
      @include x-display-flex;
      justify-content: space-between;
      -ms-align-items: center;
      align-items: center;

      &:hover {
        color: #e65540;
      }

      .down-mark, .up-mark {
        font-size: 12px;
        color: #888888;
      }
    }

    .dropdown-content {
      padding: 15px 0 23px 0;

      p {
        font-family: Montserrat-Regular;
      	font-size: 13px;
      	color: #888888;
      	line-height: 1.8;
      }
    }

    .panel-location {
      height: 300px;
    }
  }
}
